# timepointscopy.cpp File Reference

Copy the Time Points File. More...

`#include "timepointscopy.h"`
`#include <synfig/layer_pastecanvas.h>`
`#include <synfigapp/canvasinterface.h>`
`#include <synfig/valuenode_dynamiclist.h>`
`#include <synfig/valuenode_animated.h>`
`#include "activepointsimpleadd.h"`
`#include "waypointsimpleadd.h"`
`#include <synfigapp/timegather.h>`
`#include <typeinfo>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::TimepointsCopy)
| ACTION_SET_NAME (Action::TimepointsCopy,"TimepointsCopy")
| ACTION_SET_LOCAL_NAME (Action::TimepointsCopy, N_("Copy Time Points"))
| ACTION_SET_TASK (Action::TimepointsCopy,"copy")
| ACTION_SET_CATEGORY (Action::TimepointsCopy, Action::CATEGORY_WAYPOINT|Action::CATEGORY_ACTIVEPOINT)
| ACTION_SET_PRIORITY (Action::TimepointsCopy, 0)
| ACTION_SET_VERSION (Action::TimepointsCopy,"0.0")
| ACTION_SET_CVS_ID (Action::TimepointsCopy,"$Id$")

## Detailed Description

Copy the Time Points File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::TimepointsCopy |  | ) |

ACTION_SET_NAME | ( | Action::TimepointsCopy | ,
|  | "TimepointsCopy" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::TimepointsCopy | ,
|  | N_("Copy Time Points") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::TimepointsCopy | ,
|  | "copy" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::TimepointsCopy | ,
|  | Action::CATEGORY_WAYPOINT|Action::CATEGORY_ACTIVEPOINT |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::TimepointsCopy | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::TimepointsCopy | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::TimepointsCopy | ,
|  | "$Id$" |  |
| ) |  |  |